package com.bocloud.cmp.provider.hillstone;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.hillstone.SystemConfigModel;

public interface SystemConfigProvider extends SuperProvider {

    BocloudResult<SystemConfigModel> list();

    BocloudResult<String> getNetworkParameters();

    BocloudResult<String> getAlg();
}
